Skip to main content
GET
/
webarchive
/
searches
Get all search statuses
curl --request GET \
  --url https://api.brightdata.com/webarchive/searches \
  --header 'Authorization: Bearer <token>'
[
  {
    "search_id": "ucd_abc123xyz",
    "status": "in_progress"
  },
  {
    "search_id": "ucd_def456xyz",
    "status": "done",
    "filters": {
      "max_age": "1d",
      "domain_whitelist": [
        "example.com"
      ],
      "min_date": "2026-02-05T11:00:00.000Z"
    },
    "files_count": 2885,
    "estimate_batch_count": 1,
    "estimate_batch_size": 1132300,
    "dump_cost_usd": 0.58,
    "cost_breakdown": {
      "archive_pages_count": 0,
      "archive_pages_cost": 0,
      "cache_pages_count": 2885,
      "cache_pages_cost": 0.58
    },
    "estimate_dump_duration_sec": 38,
    "duration": "2s425ms"
  },
  {
    "search_id": "ucd_ghi789xyz",
    "status": "failed",
    "error": "Path regex filter caused non-retryable error"
  }
]
Starting February 9, 2026, the hot storage retention period changed from 72 hours to 24 hours.

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Response

List of search statuses

search_id
string
required

Unique identifier for the search

status
enum<string>
required
Available options:
in_progress